edu.msu.cme.rdp.unifrac

## Class UnifracTreeBuilder

- java.lang.Object
- - edu.msu.cme.rdp.unifrac.UnifracTreeBuilder

    public class UnifracTreeBuilder
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `UnifracTreeBuilder.UnifracSample`

### Constructor Summary

Constructors
Constructor and Description
`UnifracTreeBuilder(java.util.List<ClassificationResult> classifications, java.util.Map<java.lang.String,UnifracTreeBuilder.UnifracSample> sampleMap)`
`UnifracTreeBuilder(java.util.List<ClassificationResult> classifications, java.util.Map<java.lang.String,UnifracTreeBuilder.UnifracSample> sampleMap, float cutoff)`

### Method Summary

All Methods Instance Methods Concrete Methods
`UnifracTree` `getUnifracTree()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnifracTreeBuilder

    public UnifracTreeBuilder(java.util.List<ClassificationResult> classifications,
                              java.util.Map<java.lang.String,UnifracTreeBuilder.UnifracSample> sampleMap)

#### UnifracTreeBuilder

    public UnifracTreeBuilder(java.util.List<ClassificationResult> classifications,
                              java.util.Map<java.lang.String,UnifracTreeBuilder.UnifracSample> sampleMap,
                              float cutoff)

### Method Detail

#### getUnifracTree

    public UnifracTree getUnifracTree()